Compile error in v5 but not v4

Previous Topic Next Topic
 
classic Classic list List threaded Threaded
2 messages Options
Reply | Threaded
Open this post in threaded view
|

Compile error in v5 but not v4

Tom Willson
Hello;

An application I'm trying to support runs without error on Tomcat 4.1.24 on
Windows and Tomcat 4.0.3 on HPUX.

When attempting to have it run on Tomcat 5.0.28 on Windows one of the very
large JSP pages fails to compile:

Jul 27, 2005 3:02:46 PM org.apache.jasper.compiler.Compiler generateClass
SEVERE: Javac exception
Compile failed; see the compiler error output for details.

jsp.java:9924: code too large for try statement
    } catch (Throwable t) {

The code is large because of LOT of include statements. No doubt 9924 lines
is excessive. But, is there a setting that will allow this to run in Tomcat
5 or am I faced with refactoring this application?

Thanks,

Tom


---------------------------------------------------------------------
To unsubscribe, e-mail: [hidden email]
For additional commands, e-mail: [hidden email]

Reply | Threaded
Open this post in threaded view
|

Re: Compile error in v5 but not v4

Tim Funk
Tomcat5 uses jasper 2 which does much better optimizations of handlng custom
tags. If you ahve a page with a lot of custom tags - it might not compile in
tomcat 4.

One alternative (but with a performance penalty) is to split some of the JSP
file into a run-time include (jsp:include).

-Tim

Tom Willson wrote:

> Hello;
>
> An application I'm trying to support runs without error on Tomcat 4.1.24 on
> Windows and Tomcat 4.0.3 on HPUX.
>
> When attempting to have it run on Tomcat 5.0.28 on Windows one of the very
> large JSP pages fails to compile:
>
> Jul 27, 2005 3:02:46 PM org.apache.jasper.compiler.Compiler generateClass
> SEVERE: Javac exception
> Compile failed; see the compiler error output for details.
>
> jsp.java:9924: code too large for try statement
>     } catch (Throwable t) {
>
> The code is large because of LOT of include statements. No doubt 9924 lines
> is excessive. But, is there a setting that will allow this to run in Tomcat
> 5 or am I faced with refactoring this application?
>

---------------------------------------------------------------------
To unsubscribe, e-mail: [hidden email]
For additional commands, e-mail: [hidden email]